#!/bin/bash

die() { printf "error: $1\n"; exit 1; } >&2

[[ $PWD == "$HOME/.rcfiles" ]] || die "this file assumes you've cloned this folder under ~/.rcfiles"


mkdir -pv ../.config/nvim
mkdir -pv ../.oh-my-zsh/themes


ln -sriv vimrc ../.vimrc
ln -sriv vimrc ../.config/nvim/init.vim
ln -sriv oh.my.zshrc ../.zshrc
ln -sriv coc-settings.json ../.config/nvim/coc-settings.json
ln -sriv _clang-format ../.clang-format
ln -sriv myrr.zsh-theme ../.oh-my-zsh/themes/myrr.zsh-theme
